#
# spec file for package karim
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           karim
Version:        0.1.1
Release:        lp150.1.6
Summary:        Graphical interface for youtube-dl
License:        GPL-3.0+
Group:          Productivity/Networking/Web/Utilities
URL:            https://robertsanseries.github.io/karim
Source:         https://github.com/robertsanseries/karim/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson >= 0.40.0
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libgda-5.0)
# Check list of dependencies
BuildRequires:  youtube-dl
Requires:       youtube-dl

%description
Downloader for YouTube, Vimeo and other sites.

%prep
%setup -q

sed -i 's/\bmetainfo\b/appdata/' $(grep -rwl 'metainfo')

%build
%meson
%meson_build

%install
%meson_install
%suse_update_desktop_file -r com.github.robertsanseries.karim GTK AudioVideo Recorder Network FileTransfer
%fdupes %{buildroot}/%{_datadir}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%doc AUTHORS LICENSE* README.md
%{_bindir}/com.github.robertsanseries.karim
%{_datadir}/appdata/com.github.robertsanseries.karim.appdata.xml
%{_datadir}/applications/com.github.robertsanseries.karim.desktop
%{_datadir}/icons/hicolor/*/apps/com.github.robertsanseries.karim.??g
%{_datadir}/karim/

%changelog
* Tue Nov  7 2017 avvissu@yandex.by
- Initial package
